public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sparklines/
Date: Tue, 23 Nov 2021 07:09:03 +0000 (UTC)	[thread overview]
Message-ID: <1637651340.d4ec3da55726a34dbd76fe8c49557f5b70edde20.graaff@gentoo> (raw)

commit:     d4ec3da55726a34dbd76fe8c49557f5b70edde20
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 23 07:06:29 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Nov 23 07:09:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4ec3da5

dev-ruby/sparklines: add ruby30

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild | 35 ++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild b/dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild
new file mode 100644
index 000000000000..954a3e3e6b0e
--- /dev/null
+++ b/dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Create sparklines, small graphs to be used inline in texts"
+HOMEPAGE="http://sparklines.rubyforge.org/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND+="test? ( media-gfx/imagemagick[png] )"
+
+ruby_add_rdepend "dev-ruby/rmagick:*"
+
+ruby_add_bdepend "test? ( dev-ruby/tidy_table dev-ruby/dust )"
+
+all_ruby_prepare() {
+	# Don't use deprecated rmagick require for compatibility with newer
+	# versions.
+	sed -i -e '/require/ s/RMagick/rmagick/' lib/sparklines.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -I. test/test_all.rb || die
+}


             reply	other threads:[~2021-11-23  7:09 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-23  7:09 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-06 14:40 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sparklines/ Hans de Graaff
2023-06-23 19:20 Hans de Graaff
2023-06-20  4:29 Hans de Graaff
2023-04-26  5:57 Hans de Graaff
2022-04-23  8:01 Hans de Graaff
2022-01-15  6:43 Hans de Graaff
2022-01-15  6:43 Hans de Graaff
2020-06-06  8:04 Hans de Graaff
2020-04-13  9:18 Hans de Graaff
2019-02-16 12:02 Hans de Graaff
2018-12-13  8:09 Hans de Graaff
2018-03-05 19:20 Hans de Graaff
2017-05-04  4:31 Hans de Graaff
2016-05-05  5:27 Hans de Graaff
2016-05-05  5:27 Hans de Graaff
2016-04-17 14:43 Manuel Rüger
2016-03-28 19:28 Manuel Rüger
2015-10-26  6:07 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1637651340.d4ec3da55726a34dbd76fe8c49557f5b70edde20.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox